
# The script assumes that the Objects sample data set has been installed in the "Documents/BVSampleData/RawData" folder

GSG_dicoms = bv.sampledata_path + "GSGData_DICOM/sourcedata/sub-01/ses-04/anat/t1w-nd/"

first_anat_dcm = GSG_dicoms + 'JudEck_20181128_BI_Exercises_sess4-0008-0001-00001.dcm'
print(first_anat_dcm)

doc_vmr = bv.create_vmr("DICOM", first_anat_dcm, 192, False, 256, 256, 2)
doc_vmr.save_as("CG_3DT1MPR_FromScript.vmr")  # saves in current folder, use file path to store elsewhere

# doc_vmr.close()   # close when batch processing many files, skip for further processing
