
doc = brainvoyager.ActiveDocument

data_folder = bv.sampledata_path + 'Exercise_RFX-ANOVA/'

doc.LoadMultiStudyGLMDefinitionFile(data_folder + 'AllSubjects_FFX.mdm')
doc.serial_correlation_correction_level = 2 # 1 -> AR(1), 2 -> AR(2)
doc.psc_transform_studies = False
doc.z_transform_studies = True
doc.z_transform_studies_baseline_only = False
doc.separate_subject_predictors = False
doc.separate_study_predictors = False
doc.compute_multistudy_glm()
doc.save_glm(data_folder + 'AllSubjects_FFX_ztrf_AR2.glm')
doc.show_glm()
