doc = brainvoyager.active_document    # A VMR must be the current document 

# load volume maps with BV GUI or via script commands
vmp_filename = brainvoyager.choose_file("Select VMP File", "*.vmp")
doc.load_maps(vmp_filename)

n_vmps = doc.n_maps          # get number of volume maps
print "No. of volume maps: " + str(n_vmps)

doc.HideVolumeMapsDlg()              # hide volume maps dialog

for l in range(10):                  # run 10 times through available maps
    for map_i in range(n_vmps):
        print(doc.map_name(map_i)
        doc.show_map(map_i)
