import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    id: root
    width: 400
    height: 250

    Button {
        text: "Run"
        onClicked: { console.log("running..."); root.onRun() }
    }

    Component.onCompleted: {
        console.log("GUI script ready")
        BrainVoyager.PrintToLog("Hello from QML/JS GUI Script")
    }

    function onRun() {
        BrainVoyager.PrintToLog("Running GUI script...")
    }
}
