import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    id: root
    width: 400
    height: 250

    Button {
        id: btnRun
        x: 10
        y: 10
        text: "Run"
        onClicked: { console.log("running..."); root.onRun() }
    }
    Button {
        id: btnRun2
        x: 10 + btnRun.width
        y: 10
        text: "Quit"
        onClicked: BrainVoyager.CloseDialog()
    }

    Component.onCompleted: {
        console.log("GUI script ready")
        BrainVoyager.PrintToLog("Hello from QML/JS GUI Script")

        // init GUI operations - usually not needed since automatic theme setting
        //if(BrainVoyager.DarkMode) // set background color if BrainVoyager's dark mode used (otherwise use operating system default colors)
        //    root.color = Qt.rgba(0.25, 0.25, 0.25, 1.0)
    }

    function onRun() {
        BrainVoyager.PrintToLog("Running GUI script...")
    }
}
