import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    width: 620
    height: 400
    
    ColumnLayout {
        anchors.fill: parent
        spacing: 6
    
        TabBar {
            id: tabbar
            Layout.fillWidth: true // width: parent.width
            currentIndex: 0
            
            TabButton {
                text: "Input Data"
                width: implicitWidth
            }
            TabButton {
                text: "Epoch Selection"
                width: implicitWidth
            }
            TabButton {
                text: "One more"
                width: implicitWidth
            }
        }
        
        StackLayout {
            currentIndex: tabbar.currentIndex
            Item {
                id: homeTab
                // Label { text: "item 1" }
                Rectangle {
                    color: "red"
                    anchors.fill: parent
                }
            }
            Item {
                id: discoverTab
                // Label { text: "item 2" }
                Rectangle {
                    color: "green"
                    anchors.fill: parent
                }
            }
            Item {
                id: thirdTab
                // Label { text: "item 3" }
                Rectangle {
                    color: "blue"
                    anchors.fill: parent
                }
            }            
        }
    }
}
