"""
access docs in BV's work space
"""

docs = bv.documents
n_docs = docs.size()

print(f'No. of available documents: {n_docs}')

for i in range(n_docs):
    doc = docs.item(i)
    name = doc.file_name
    
    if doc.is_vmr():
        doc_type = 'VMR'
    elif doc.is_fmr():
        doc_type = 'FMR'
    elif doc.is_dmr():
        doc_type = 'DMR'
    else:
        doc_type = 'AMR'
    print(f'document {i+1}, type: {doc_type}, name: {name}')