import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    id: root
    width: 400
    height: 250

    RowLayout {
        anchors.fill: parent

        Button {
            id: btnRun
            text: "Run"
            onClicked: { console.log("running..."); root.onRun() }
        }

        Item { Layout.fillWidth: true } // horizontal spacer item

        Button {
            id: btnRun2
            text: "Quit"
            onClicked: bv.CloseDialog()
        }
    }

    Component.onCompleted: {
        console.log("GUI script ready")
        bv.PrintToLog("Hello from QML/JS GUI Script")
    }

    function onRun() {
        bv.PrintToLog("Running GUI script...")
    }
}
